langcode: en
status: true
dependencies:
  config:
    - filter.format.full_html
  module:
    - ckeditor5
format: full_html
editor: ckeditor5
settings:
  toolbar:
    items:
      - bold
      - italic
      - strikethrough
      - underline
      - specialCharacters
      - superscript
      - subscript
      - removeFormat
      - '|'
      - link
      - '|'
      - bulletedList
      - numberedList
      - indent
      - outdent
      - '|'
      - blockQuote
      - drupalMedia
      - icon
      - insertTable
      - horizontalLine
      - '-'
      - textPartLanguage
      - heading
      - UiStylesBlock
      - UiStylesInline
      - codeBlock
      - code
      - showBlocks
      - '|'
      - sourceEditing
  plugins:
    ckeditor5_codeBlock:
      languages:
        -
          label: 'Plain text'
          language: plaintext
        -
          label: C
          language: c
        -
          label: 'C#'
          language: cs
        -
          label: C++
          language: cpp
        -
          label: CSS
          language: css
        -
          label: Diff
          language: diff
        -
          label: HTML
          language: html
        -
          label: Java
          language: java
        -
          label: JavaScript
          language: javascript
        -
          label: PHP
          language: php
        -
          label: Python
          language: python
        -
          label: Ruby
          language: ruby
        -
          label: TypeScript
          language: typescript
        -
          label: XML
          language: xml
    ckeditor5_heading:
      enabled_headings:
        - heading1
        - heading2
        - heading3
        - heading4
        - heading5
        - heading6
    ckeditor5_language:
      language_list: un
    ckeditor5_list:
      properties:
        reversed: true
        startIndex: true
      multiBlock: true
    ckeditor5_sourceEditing:
      allowed_tags: {  }
    editor_advanced_link_link:
      enabled_attributes:
        - class
        - title
    linkit_extension:
      linkit_enabled: true
      linkit_profile: default
    media_media:
      allow_view_mode_override: false
    ui_styles_ckeditor5_uiStylesBlock:
      enabled_styles:
        - typography
        - colors_color
        - text_font_weight
        - text_font_italics
        - text_text_transform
        - text_text_decoration
        - text_line_height
        - text_font_monospace
        - colors_opacity
        - text_text_alignment
        - text_text_wrapping
        - text_text_word_break
        - text_text_truncate
        - colors_background_color
        - colors_background_opacity
        - colors_background_gradient
    ui_styles_ckeditor5_uiStylesInline:
      enabled_styles:
        - typography
        - colors_color
        - text_font_weight
        - text_font_italics
        - text_text_transform
        - text_text_decoration
        - text_line_height
        - text_font_monospace
        - colors_opacity
        - text_text_alignment
        - text_text_wrapping
        - text_text_word_break
        - text_text_truncate
        - colors_background_color
        - colors_background_opacity
        - colors_background_gradient
image_upload:
  status: true
  scheme: public
  directory: inline-images
  max_size: null
  max_dimensions:
    width: null
    height: null
